Building QtMC                                         {#building}
=============

This page describes how to build QtMC from source.
Regular users should download a pre-build binary package for their operating
system.


Requirements
============

* Qt >= 5.0.0 (http://qt-project.org)
* Taglib >= 1.0 (http://taglib.github.io/)
* doxygen >= 1.8 (to build the documentation)


Building and Installing from source
===================================

In the source directory, run:

    mkdir build
    cd build
    qmake PREFIX=/usr/local ..
    make install


Configuring installation directories
====================================

You can pass the following variables to qmake:

Variable | Default
---------|-------------------------------------
PREFIX   | /usr
APPDIR   | $PREFIX/share/applications
BINDIR   | $PREFIX/bin
DATADIR  | $PREFIX/share/starfleetgeneral
DOCDIR   | $PREFIX/share/doc/starfleetgeneral
LIBDIR   | $PREFIX/lib/starfleetgeneral
MANDIR   | $PREFIX/man/man1


Windows Codecs
==============

If you are unable to play some common media files on Windows, you probably
don't have the correct codecs.

You can find a nice set here:

http://www.free-codecs.com/k_lite_codec_pack_download.htm
